
Redmine - Defect #24297

Show action not allowed for time entries in closed projects

2016-11-08 15:09 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version:  

Description

It is currently not possible to GET /time_entries/123.xml for closed projects even with the correct permissions.

In the TimelogController currently checks if the time entry is editable for the current user on show, edit and update. This means show

doesn't work for closed projects as the time entry is then not editable.

Associated revisions

Revision 15955 - 2016-11-18 09:37 - Jean-Philippe Lang

Show action not allowed for time entries in closed projects (#24297).

Patch by Felix Schäfer.

Revision 15956 - 2016-11-18 09:37 - Jean-Philippe Lang

Adds a test for #24297.

Revision 15999 - 2016-11-26 09:58 - Jean-Philippe Lang

Merged r15955 and r15956 (#24297).

Revision 16000 - 2016-11-26 10:01 - Jean-Philippe Lang

Merged r15955 and r15956 (#24297).

History

#1 - 2016-11-08 15:10 - Felix Schäfer

- File 24297.patch added

The attached patch is a proposal to fix this problem.

#2 - 2016-11-10 11:32 - Jan from Planio www.plan.io

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#3 - 2016-11-18 09:37 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.2.5

- Resolution set to Fixed

Fix committed with a test, thanks.

#4 - 2016-11-26 10:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

24297.patch 1.09 KB 2016-11-08 Felix Schäfer
